HSH = {}

HSH.name = "LykeionsHomeSweetHome"
author = "|c215895Lykeion|r"
local SV_NAME = 'HSH_VARS'
local SV_VER = 1

local flag = true
local permission = true

local defaults = {
	enabled = true,
}

function HSH:Jump()
	if db.enabled then
		RequestJumpToHouse(68,true)
	end
end

function HSH:Initialize()
	HSH:AddonMenu()

	if LibSavedVars ~= nil then
		db = LibSavedVars:NewAccountWide(SV_NAME, "Account", defaults)
                     :AddCharacterSettingsToggle(SV_NAME, "Character")
	else
		db = ZO_SavedVars:New( SV_NAME, 1, nil, defaults )
	end
	
	SLASH_COMMANDS["/hshj"] = function(keyWord, argument)
		HSH:Jump()
	end
end

function HSH.OnAddOnLoaded(event, addonName)
  if addonName == HSH.name then
	HSH:Initialize()
  end
end

function HSH.AddonMenu()
	local menuOptions = {
		type				 = "panel",
		name				 = "Lykeion's Home Sweet Home",
		displayName	 = "|c285b90L|r|c305d8cy|r|c376087k|r|c3f6382e|r|c47657ei|r|c4f6879o|r|c576a75n|r|c5f6d70'|r|c66706bs|r |c6e7267H|r|c767562o|r|c7e785dm|r|c867a59e|r |c8d7d54S|r|c95804fw|r|c9d824be|r|ca58546e|r|cad8742t|r |cb58a3dH|r|cbc8d38o|r|cc48f34m|r|ccc922fe|r",
		author = "|c215895Lykeion|r",
		version = "|ccc922f1.0.1|r",
		slashCommand = "/hsh",
		registerForRefresh	= true,
		registerForDefaults = true,
	}

	local dataTable = {
		{
			type = "description",
			text = GetString(HSH_MENU_DESCRIPTION),
		},
		{
			type = "divider",
		},
		{
			type    = "checkbox",
			name    = GetString(HSH_ENABLE),
			default = true,
			getFunc = function() return db.enabled end,
			setFunc = function( newValue ) db.enabled = newValue; end,
		},
	}

	LAM = LibAddonMenu2
	LAM:RegisterAddonPanel(HSH.name .. "Options", menuOptions )
	LAM:RegisterOptionControls(HSH.name .. "Options", dataTable )
end


EVENT_MANAGER:RegisterForEvent(HSH.name, EVENT_ADD_ON_LOADED, HSH.OnAddOnLoaded)
